Bug 533761 - Two MediaSize settings show up in Qt printer dialog
Two MediaSize settings show up in Qt printer dialog
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-08 20:51 EST by Tom Horsley
Modified: 2012-08-07 15:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:43:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
C5500-DVD.ppd (26.24 KB, text/plain)
2009-11-09 07:22 EST, Tom Horsley
no flags Details

  None (edit)
Description Tom Horsley 2009-11-08 20:51:24 EST
Description of problem:

I have absolutely no idea if this is cups or Qt or hplip or what, but I call it
cups because I was at least able to change the behavior by editing the
/etc/cups/printers.conf file.

When I bring up the Qt printer settings dialog and click on Properties
and look at the Advanced tab (which, as far as I know is intended to map
to all the user settable settings from the ppd file), the first two
items in the list of settings are both named MediaSize.

Worse yet, the first one says Letter, and the 2nd one says CD/DVD 120mm.
This is after selecting my printer which I have configured all the defaults
on to be 120mm CD/DVD printing, so I have no idea why Letter shows up.

Poking around in various file, I find a line in printers.conf, in the
section for my <Printer C5500-DVD> that says:

Option media na_letter_8.5x11in

I have no idea why that line is there, but when I delete it and restart
cups, I at least wind up with two MediaSize lines that both say 120mm CD/DVD.

This doesn't seem to affect my ability to print CDs, so it is definitely
a minor bug at worst, but it just seems so weird, I thought I'd report it.

Version-Release number of selected component (if applicable):
cups-1.4.1-13.fc12.x86_64
hplip-3.9.8-21.fc12.x86_64
qt-devel-4.5.3-7.fc12.x86_64

How reproducible:
Happens every time I look at printer settings in my kewpie program (see below)

Steps to Reproduce:
1.Make a copy of a printer
2.Change the copy to use a different default paper size
3.Run kewpie and see two conflicting MediaSize properties for printer
  
Actual results:
Double MediaSize attributes

Expected results:
Just one Media size attribute

Additional info:
http://home.att.net/~Tom.Horsley/kewpie/kewpie.html

describes the kewpie program and has a download link.
Build with qmake-qt4 ; make in directory where it is unpacked.
Description of the printer I am using (and how I finally printed
a DVD with no image clipping) can be found in these links:

http://home.att.net/~Tom.Horsley/dvdp/dvd-success.html
http://home.att.net/~Tom.Horsley/dvdprint/dvd-print.html
Comment 1 Tim Waugh 2009-11-09 06:53:39 EST
Please attach the PPD file.

How exactly are you performing step 2?
Comment 2 Tom Horsley 2009-11-09 07:22:55 EST
Created attachment 368193 [details]
C5500-DVD.ppd

Here's the current ppd file. The procedure to get here was a bit complex.

I let cups auto-install the Photosmart printer.

I then went to s-c-p, right clicked on the C5500 entry it created and said
copy printer.

I then renamed the copy to C5500-DVD and brought up properties dialog for
that copy and changed every media size, source tray, etc option I could
find to say CD/DVD 120mm.

Later I manually edited the ppd file to change the ImageableArea attribute
for CDDVD120 to a set of values that finally allowed me to print the whole
DVD.

Then, when trying to find where the extra MediaSize option came from, I
deleted every line in the file that referenced "Letter" (but that didn't
help).

Finally I found the Option media line in the printers.conf file which I
deleted, and now at least I get two MediaSize entries that both say DVD
instead of one that says letter and one that says DVD.
Comment 3 Tim Waugh 2009-11-09 07:29:50 EST
All shows correctly in GTK+ print dialog and in 'lpoptions -p printer -l' output.  Qt bug -- sounds like it's displaying both PageSize and PageRegion options which is incorrect.
Comment 4 Tom Horsley 2009-11-09 08:57:19 EST
I thought it might be a Qt problem, so I also submitted a Qt bug report
to trolltech/nokia pointing at this bugzilla. Maybe they'll look at it
someday :-).

http://bugreports.qt.nokia.com/browse/QTBUG-5572
Comment 5 Kevin Kofler 2009-11-09 14:20:00 EST
There's no qt4 component anymore (as Qt 4 is now the default qt).
Comment 6 Bug Zapper 2009-11-16 10:20:15 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-11-04 02:39:42 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Tom Horsley 2010-11-04 05:47:55 EDT
This is still happening in f13 (and the upstream Qt bug is still open as well :-).
Comment 9 Bug Zapper 2011-06-02 13:29:51 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Tom Horsley 2011-06-02 13:57:53 EDT
This is still happening in f15 (and the upstream Qt bug is still open as well
:-).
Comment 11 Fedora End Of Life 2012-08-07 15:43:11 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.